Bug 1243758

Summary: Review Request: apacheds-jdbm - ApacheDS specific JDBM Implementation
Product: [Fedora] Fedora Reporter: gil cattaneo <puntogil>
Component: Package ReviewAssignee: Till Hofmann <thofmann>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, thofmann
Target Milestone: ---Flags: thofmann: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.0.0-0.4.M3.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-09 01:51:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1255810    
Attachments:
Description Flags
files.dir
none
files.dir f23 none

Description gil cattaneo 2015-07-16 08:57:03 UTC
Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
SRPM URL: https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.1.M3.fc22.src.rpm
Description:
A JDBM entry store which does not have any dependency on
core interfaces. The JDBM partition will use this store
and build on it to adapt this to server specific partition
interfaces. Having this separate module without
dependencies on core interfaces makes it easier to avoid
cyclic dependencies between modules. This is especially
important for use within the bootstrap plugin which needs
to build the schema partition used for bootstrapping the
server.
Fedora Account System Username: gil

ApacheDS 2.0.0-M20 Build/Requires

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10363372

Comment 1 gil cattaneo 2015-08-22 14:36:39 UTC
Open https://issues.apache.org/jira/browse/DIR-318 for missing license file

Comment 2 Till Hofmann 2015-08-22 15:43:50 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 124
     files have unknown license. 
     Comment: 'Unknown or generated' files are licensed under BSD
              (jCharts variant)
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/apacheds-jdbm,
     /usr/share/java/apacheds-jdbm
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms
     /apacheds-jdbm, /usr/share/java/apacheds-jdbm
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     apacheds-jdbm1 , apacheds-jdbm2 , apacheds-jdbm-parent , apacheds-
     jdbm-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
     Comment: There is a more recent version, but this seems to be a dependency
      of another package.
[!]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: apacheds-jdbm1-2.0.0-0.1.M3.fc22.noarch.rpm
          apacheds-jdbm2-2.0.0-0.1.M3.fc22.noarch.rpm
          apacheds-jdbm-parent-2.0.0-0.1.M3.fc22.noarch.rpm
          apacheds-jdbm-javadoc-2.0.0-0.1.M3.fc22.noarch.rpm
          apacheds-jdbm-2.0.0-0.1.M3.fc22.src.rpm
apacheds-jdbm1.noarch: W: no-documentation
apacheds-jdbm2.noarch: W: no-documentation
apacheds-jdbm-parent.noarch: W: no-documentation
apacheds-jdbm.src: W: invalid-url Source0: apacheds-jdbm-2.0.0-M3.tar.xz
5 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comments:
- no-documentation: there is a separata javadoc package
- invalid-url: Source0 is created from svn repository




Rpmlint (installed packages)
----------------------------
apacheds-jdbm2.noarch: W: no-documentation
apacheds-jdbm1.noarch: W: no-documentation
apacheds-jdbm-parent.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
apacheds-jdbm2 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

apacheds-jdbm1 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

apacheds-jdbm-parent (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

apacheds-jdbm-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
apacheds-jdbm2:
    apacheds-jdbm2
    mvn(org.apache.directory.jdbm:apacheds-jdbm2)
    mvn(org.apache.directory.jdbm:apacheds-jdbm2:pom:)
    osgi(org.apache.directory.jdbm.jdbm)

apacheds-jdbm1:
    apacheds-jdbm1
    mvn(org.apache.directory.jdbm:apacheds-jdbm1)
    mvn(org.apache.directory.jdbm:apacheds-jdbm1:pom:)
    osgi(org.apache.directory.jdbm.jdbm)

apacheds-jdbm-parent:
    apacheds-jdbm-parent
    mvn(org.apache.directory.jdbm:apacheds-jdbm-parent:pom:)

apacheds-jdbm-javadoc:
    apacheds-jdbm-javadoc



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1243758
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Till Hofmann 2015-08-22 15:52:51 UTC
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms
     /apacheds-jdbm, /usr/share/java/apacheds-jdbm

Please fix this.

[!]: Package does not include license text files separate from upstream.

Please do not add the License file yourself. 


apacheds-jdbm.src: W: invalid-url Source0: apacheds-jdbm-2.0.0-M3.tar.xz

Suggestion: You could use the upstream tarball of apacheds [1] and extract the sources from there. This seems more elegant to me, because you could specifiy a valid URL for the source, but I guess it's a matter of taste. This would also fix the missing License file issue.

Could you also please indicate in a comment in the Spec file that this package uses the jCharts variance of the BSD license. This would have helped sorting out the correct license.

[1] http://directory.apache.org/apacheds/download/download-sources.html

Comment 4 gil cattaneo 2015-08-22 16:04:44 UTC
(In reply to Till Hofmann from comment #3)
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/maven-poms
>      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> 
> Please fix this.

This is a bug of fedora review tool. All owner/s directory are managed by our java tools.
Please, see 1243758-apacheds-jdbm/files.dir files

> [!]: Package does not include license text files separate from upstream.
> 
> Please do not add the License file yourself. 

Open https://issues.apache.org/jira/browse/DIR-318 for missing license file

> apacheds-jdbm.src: W: invalid-url Source0: apacheds-jdbm-2.0.0-M3.tar.xz
> 
> Suggestion: You could use the upstream tarball of apacheds [1] and extract
> the sources from there. This seems more elegant to me, because you could
> specifiy a valid URL for the source, but I guess it's a matter of taste.
> This would also fix the missing License file issue.

Do not exist a upstream taraball for this package. And this is not included in apacheds 2.0.0.M20 src archive. You sure about this statement?

> Could you also please indicate in a comment in the Spec file that this
> package uses the jCharts variance of the BSD license. This would have helped
> sorting out the correct license.

This package is a fork of http://jdbm.sourceforge.net/ the original files are under BSD with attribution license. 
See: http://jdbm.cvs.sourceforge.net/viewvc/jdbm/jdbm/LICENSE.txt
or better: http://pkgs.fedoraproject.org/cgit/jdbm.git/ (no more available for Fedora > 20)

Open also a Bundling Exception https://fedorahosted.org/fpc/ticket/564
until jdbm will be completely replaced by mavibot

Comment 5 gil cattaneo 2015-08-22 16:07:03 UTC
mavibot - https://bugzilla.redhat.com/show_bug.cgi?id=1243761

Comment 6 gil cattaneo 2015-08-22 16:15:03 UTC
(In reply to Till Hofmann from comment #3)
> Please do not add the License file yourself.

 this is the "normal" practice


Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
SRPM URL: https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.2.M3.fc22.src.rpm

- fix license field
- add orignal jdbm license file

Comment 7 Till Hofmann 2015-08-22 18:03:29 UTC
(In reply to gil cattaneo from comment #4)
> (In reply to Till Hofmann from comment #3)
> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners: /usr/share/maven-poms
> >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> > 
> > Please fix this.
> 
> This is a bug of fedora review tool. All owner/s directory are managed by
> our java tools.
> Please, see 1243758-apacheds-jdbm/files.dir files

I'm not sure which java tools you're talking about.

% rpm -qf /usr/share/java/apacheds-jdbm
file /usr/share/java/apacheds-jdbm is not owned by any package
% rpm -qf /usr/share/java/apacheds-jdbm/apacheds-jdbm1.jar
apacheds-jdbm1-2.0.0-0.1.M3.fc22.noarch

From the Java packaging guidelines [1]:
"All packages are required to own directories which they create (and which are not owned by other packages)"
"By default, resulting JAR files will be installed in %{_javadir}/%{name}, therefore package needs to own this directory."

Your package doesn't. Please add 
%dir %{_javadir}/%{name}
to %files and something similar for the maven-poms dir. That's all I wanted to say in the first place.

> > apacheds-jdbm.src: W: invalid-url Source0: apacheds-jdbm-2.0.0-M3.tar.xz
> > 
> > Suggestion: You could use the upstream tarball of apacheds [1] and extract
> > the sources from there. This seems more elegant to me, because you could
> > specifiy a valid URL for the source, but I guess it's a matter of taste.
> > This would also fix the missing License file issue.
> 
> Do not exist a upstream taraball for this package. And this is not included
> in apacheds 2.0.0.M20 src archive. You sure about this statement?

Hmm ok if it's not included in the upstream tarball, then my comment doesn't make sense. At a first glance, it seemed like it's included, but I was wrong. So the svn export is fine with me.
> 
> > Could you also please indicate in a comment in the Spec file that this
> > package uses the jCharts variance of the BSD license. This would have helped
> > sorting out the correct license.
> 
> This package is a fork of http://jdbm.sourceforge.net/ the original files
> are under BSD with attribution license. 
> See: http://jdbm.cvs.sourceforge.net/viewvc/jdbm/jdbm/LICENSE.txt
> or better: http://pkgs.fedoraproject.org/cgit/jdbm.git/ (no more available
> for Fedora > 20)

OK thanks for the information. I'm not sure if you understood me correctly: The license is fine. I just wished there'd been a comment like "Some files are licensed under the jCharts variant of BSD" so I could have understood the licensing more quickly.
> 
> Open also a Bundling Exception https://fedorahosted.org/fpc/ticket/564
> until jdbm will be completely replaced by mavibot

(In reply to gil cattaneo from comment #6)
> (In reply to Till Hofmann from comment #3)
> > Please do not add the License file yourself.
> 
>  this is the "normal" practice
> 

Hmm I guess you're right, I misremembered the guidelines about missing license files. Although the Licensing guidelines say [2]:
"Packagers who choose to do this should ensure that they have exhausted all attempts to work with upstream to include the license text as part of the source code, or at least, to confirm the full license text explicitly with the upstream, as this minimizes the risk on the packager."
In my understanding this means that you should try to contact upstream and ask them to include the license file (which you did), and only if upstream does not respond, you should include the file yourself. But since the license is quite clear, directly including it is fine with me.





(In reply to gil cattaneo from comment #6)
> 
> Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
> SRPM URL:
> https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.2.M3.fc22.src.rpm

This is still the old Spec file, isn't it? I don't see any difference.



[1] https://fedorahosted.org/released/javapackages/doc/#_add_maven_depmap_macro
[2] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines

Comment 8 gil cattaneo 2015-08-22 18:13:25 UTC
(In reply to Till Hofmann from comment #7)
> (In reply to gil cattaneo from comment #4)
> > (In reply to Till Hofmann from comment #3)
> > > [!]: Package must own all directories that it creates.
> > >      Note: Directories without known owners: /usr/share/maven-poms
> > >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> > > 
> > > Please fix this.
> > 
> > This is a bug of fedora review tool. All owner/s directory are managed by
> > our java tools.
> > Please, see 1243758-apacheds-jdbm/files.dir files
> 
> I'm not sure which java tools you're talking about.

http://pkgs.fedoraproject.org/cgit/javapackages-tools
and see also https://fedorahosted.org/released/javapackages/doc/#maven


> > > Could you also please indicate in a comment in the Spec file that this
> > > package uses the jCharts variance of the BSD license. This would have helped
> > > sorting out the correct license.
> > 
> > This package is a fork of http://jdbm.sourceforge.net/ the original files
> > are under BSD with attribution license. 
> > See: http://jdbm.cvs.sourceforge.net/viewvc/jdbm/jdbm/LICENSE.txt
> > or better: http://pkgs.fedoraproject.org/cgit/jdbm.git/ (no more available
> > for Fedora > 20)
> 
> OK thanks for the information. I'm not sure if you understood me correctly:
> The license is fine. I just wished there'd been a comment like "Some files
> are licensed under the jCharts variant of BSD" so I could have understood
> the licensing more quickly.
> > 
> > Open also a Bundling Exception https://fedorahosted.org/fpc/ticket/564
> > until jdbm will be completely replaced by mavibot
> 
> (In reply to gil cattaneo from comment #6)
> > (In reply to Till Hofmann from comment #3)
> > > Please do not add the License file yourself.
> > 
> >  this is the "normal" practice
> > 
> 
> Hmm I guess you're right, I misremembered the guidelines about missing
> license files. Although the Licensing guidelines say [2]:
> "Packagers who choose to do this should ensure that they have exhausted all
> attempts to work with upstream to include the license text as part of the
> source code, or at least, to confirm the full license text explicitly with
> the upstream, as this minimizes the risk on the packager."
> In my understanding this means that you should try to contact upstream and
> ask them to include the license file (which you did), and only if upstream
> does not respond, you should include the file yourself. But since the
> license is quite clear, directly including it is fine with me.
> 
> 
> 
> 
> 
> (In reply to gil cattaneo from comment #6)
> > 
> > Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
> > SRPM URL:
> > https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.2.M3.fc22.src.rpm
> 
> This is still the old Spec file, isn't it? I don't see any difference.

strange ... i uploaded new spec file and src rpm some ago

Comment 9 gil cattaneo 2015-08-22 18:15:55 UTC
> strange ... i uploaded new spec file and src rpm some hour ago

Comment 10 gil cattaneo 2015-08-22 18:28:11 UTC
Created attachment 1065870 [details]
files.dir

Comment 11 gil cattaneo 2015-08-22 18:28:51 UTC
(In reply to gil cattaneo from comment #8)
> (In reply to Till Hofmann from comment #7)
> > (In reply to gil cattaneo from comment #4)
> > > (In reply to Till Hofmann from comment #3)
> > > > [!]: Package must own all directories that it creates.
> > > >      Note: Directories without known owners: /usr/share/maven-poms
> > > >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> > > > 
> > > > Please fix this.
> > > 
> > > This is a bug of fedora review tool. All owner/s directory are managed by
> > > our java tools.
> > > Please, see 1243758-apacheds-jdbm/files.dir files
attached

Comment 12 gil cattaneo 2015-08-22 18:32:59 UTC
(In reply to Till Hofmann from comment #7)
> (In reply to gil cattaneo from comment #4)
> > (In reply to Till Hofmann from comment #3)
> > > [!]: Package must own all directories that it creates.
> > >      Note: Directories without known owners: /usr/share/maven-poms
> > >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm

> [1]
> https://fedorahosted.org/released/javapackages/doc/#_add_maven_depmap_macro
> [2]
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines
These guides are in need of an update

Comment 13 gil cattaneo 2015-08-22 18:40:28 UTC
Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
SRPM URL: https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.2.M3.fc22.src.rpm

- added extra comments about license

Comment 14 Till Hofmann 2015-08-23 07:04:21 UTC
(In reply to gil cattaneo from comment #11)
> (In reply to gil cattaneo from comment #8)
> > (In reply to Till Hofmann from comment #7)
> > > (In reply to gil cattaneo from comment #4)
> > > > (In reply to Till Hofmann from comment #3)
> > > > > [!]: Package must own all directories that it creates.
> > > > >      Note: Directories without known owners: /usr/share/maven-poms
> > > > >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> > > > > 
> > > > > Please fix this.
> > > > 
> > > > This is a bug of fedora review tool. All owner/s directory are managed by
> > > > our java tools.
> > > > Please, see 1243758-apacheds-jdbm/files.dir files
> attached

How did you produce this? Neither my locally built package [1] nor a koji-built package [2] own /usr/share/java/apacheds-jdbm, but your build does.

[1] https://thofmann.fedorapeople.org/apacheds-jdbm1-2.0.0-0.2.M3.fc22.noarch.rpm
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=10792248

Comment 15 Michael Schwendt 2015-08-23 09:05:05 UTC
Could be that Rawhide is strictly needed. Packages are to be reviewed and approved for Rawhide, with extra work on branches being optional.

The generated %files lists contain %dir lines:

$ cat .mfiles-apacheds-jdbm1 .mfiles-apacheds-jdbm2 .mfiles-apacheds-jdbm-parent .mfiles-javadoc 
%attr(0644,root,root) /usr/share/maven-metadata/apacheds-jdbm-apacheds-jdbm1.xml
%attr(0755,root,root) %dir /usr/share/java/apacheds-jdbm
%attr(0644,root,root) /usr/share/java/apacheds-jdbm/apacheds-jdbm1.jar
%attr(0755,root,root) %dir /usr/share/maven-poms/apacheds-jdbm
%attr(0644,root,root) /usr/share/maven-poms/apacheds-jdbm/apacheds-jdbm1.pom
%attr(0644,root,root) /usr/share/maven-metadata/apacheds-jdbm-apacheds-jdbm2.xml
%attr(0755,root,root) %dir /usr/share/java/apacheds-jdbm
%attr(0644,root,root) /usr/share/java/apacheds-jdbm/apacheds-jdbm2.jar
%attr(0755,root,root) %dir /usr/share/maven-poms/apacheds-jdbm
%attr(0644,root,root) /usr/share/maven-poms/apacheds-jdbm/apacheds-jdbm2.pom
%attr(0644,root,root) /usr/share/maven-metadata/apacheds-jdbm-apacheds-jdbm-parent.xml
%attr(0755,root,root) %dir /usr/share/maven-poms/apacheds-jdbm
%attr(0644,root,root) /usr/share/maven-poms/apacheds-jdbm/apacheds-jdbm-parent.pom
/usr/share/javadoc/apacheds-jdbm

[...]

> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines

> These guides are in need of an update

They are pretty explicit about what the package maintainer ought to do:

Inform upstream, try to resolve the licensing issues and get the missing license text(s) added, and if upstream "is unresponsive, unable, or unwilling", add the missing licensing terms to the Fedora package.

So, the question here is: Has upstream been contacted about it?

Comment 16 Till Hofmann 2015-08-23 11:12:55 UTC
(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #15)
> Could be that Rawhide is strictly needed. Packages are to be reviewed and
> approved for Rawhide, with extra work on branches being optional.
> 
> The generated %files lists contain %dir lines:
> [...]

Thank you for the explanation. Indeed, the directories are owned by the packages in a Rawhide build [1].
But assuming this package is to be pushed to f23/f22, shouldn't this be fixed anyway?

> 
> > https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> > LicensingGuidelines
> 
> > These guides are in need of an update
> 
> They are pretty explicit about what the package maintainer ought to do:
> 
> Inform upstream, try to resolve the licensing issues and get the missing
> license text(s) added, and if upstream "is unresponsive, unable, or
> unwilling", add the missing licensing terms to the Fedora package.
> 
> So, the question here is: Has upstream been contacted about it?

Yes, upstream has been contacted yesterday, cf. comment 1.
But I wouldn't say they are "unresponsive, unable, or unwilling" just because they haven't replied after one day. Therefore my initial comment 3 about the license file.



[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=10795138

Comment 17 gil cattaneo 2015-08-23 11:46:17 UTC
(In reply to Till Hofmann from comment #14)
> (In reply to gil cattaneo from comment #11)
> > (In reply to gil cattaneo from comment #8)
> > > (In reply to Till Hofmann from comment #7)
> > > > (In reply to gil cattaneo from comment #4)
> > > > > (In reply to Till Hofmann from comment #3)
> > > > > > [!]: Package must own all directories that it creates.
> > > > > >      Note: Directories without known owners: /usr/share/maven-poms
> > > > > >      /apacheds-jdbm, /usr/share/java/apacheds-jdbm
> > > > > > 
> > > > > > Please fix this.
> > > > > 
> > > > > This is a bug of fedora review tool. All owner/s directory are managed by
> > > > > our java tools.
> > > > > Please, see 1243758-apacheds-jdbm/files.dir files
> > attached
> 
> How did you produce this? Neither my locally built package [1] nor a
> koji-built package [2] own /usr/share/java/apacheds-jdbm, but your build
> does.

$ fedora-review -b 1243758 --plugins Java -m fedora-rawhide-i386

> [1]
> https://thofmann.fedorapeople.org/apacheds-jdbm1-2.0.0-0.2.M3.fc22.noarch.rpm
> [2] http://koji.fedoraproject.org/koji/taskinfo?taskID=10792248

Comment 18 gil cattaneo 2015-08-23 11:51:59 UTC
(In reply to Till Hofmann from comment #16)
> (In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment
> #15)
> > Could be that Rawhide is strictly needed. Packages are to be reviewed and
> > approved for Rawhide, with extra work on branches being optional.
> > 
> > The generated %files lists contain %dir lines:
> > [...]
> 
> Thank you for the explanation. Indeed, the directories are owned by the
> packages in a Rawhide build [1].
> But assuming this package is to be pushed to f23/f22, shouldn't this be
> fixed anyway?

This package is only for rawhide, and for information only, in F23 have the same result with the directory properties

Comment 19 gil cattaneo 2015-08-23 12:05:54 UTC
(In reply to Till Hofmann from comment #16)
> (In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment
> #15)
> because they haven't replied after one day. Therefore my initial comment 3
> about the license file.

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
see "BSD with attribution" field, 
and https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution
i don't know where you take the "JCharts BSD variant"

Comment 20 Till Hofmann 2015-08-23 12:23:05 UTC
(In reply to gil cattaneo from comment #19)
> (In reply to Till Hofmann from comment #16)
> > (In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment
> > #15)
> > because they haven't replied after one day. Therefore my initial comment 3
> > about the license file.
> 
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> see "BSD with attribution" field, 
> and https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution
> i don't know where you take the "JCharts BSD variant"

https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#jCharts_Variant

All files in jdbm1 are licensed with this variant of BSD (called JDBM License in the source). Note that this is not BSD with attribution. If I understand the wiki correctly, the license tag should be 'BSD' for jdbm1, and 'ASL 2.0 and BSD' for jdbm2.

Comment 21 gil cattaneo 2015-08-23 12:29:33 UTC
(In reply to Till Hofmann from comment #20)
> (In reply to gil cattaneo from comment #19)
> > (In reply to Till Hofmann from comment #16)
> > > (In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment
> > > #15)
> > > because they haven't replied after one day. Therefore my initial comment 3
> > > about the license file.
> > 
> > https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> > see "BSD with attribution" field, 
> > and https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution
> > i don't know where you take the "JCharts BSD variant"
> 
> https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#jCharts_Variant
> 
> All files in jdbm1 are licensed with this variant of BSD (called JDBM
> License in the source). Note that this is not BSD with attribution. If I
> understand the wiki correctly, the license tag should be 'BSD' for jdbm1,
> and 'ASL 2.0 and BSD' for jdbm2.

Sorry, but jdbm1 and jdbm2 have the same license

Under Apache (v2.0) license
----------------------------
apacheds-jdbm-2.0.0-M3/jdbm1/src/main/java/jdbm/I18n.java
apacheds-jdbm-2.0.0-M3/jdbm1/src/test/java/jdbm/recman/LocationTest.java

apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/ActionRecordManager.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/I18n.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/helper/ActionContext.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/helper/ActionVersioning.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/helper/EntryIO.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/helper/ExplicitList.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/helper/LRUCache.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/main/java/jdbm/recman/SnapshotRecordManager.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/btree/TestBTreeBrowser.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/btree/TestSnapshotBTree.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/helper/TestActionVersioning.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/helper/TestVersionedCache.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/recman/BlockIoTest.java
apacheds-jdbm-2.0.0-M3/jdbm2/src/test/java/jdbm/recman/LocationTest.java

The rest of the files is under BSD license

Comment 22 Till Hofmann 2015-08-23 12:45:01 UTC
(In reply to gil cattaneo from comment #21)
> (In reply to Till Hofmann from comment #20)
> > (In reply to gil cattaneo from comment #19)
> > > (In reply to Till Hofmann from comment #16)
> > > > (In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment
> > > > #15)
> > > > because they haven't replied after one day. Therefore my initial comment 3
> > > > about the license file.
> > > 
> > > https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> > > see "BSD with attribution" field, 
> > > and https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution
> > > i don't know where you take the "JCharts BSD variant"
> > 
> > https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#jCharts_Variant
> > 
> > All files in jdbm1 are licensed with this variant of BSD (called JDBM
> > License in the source). Note that this is not BSD with attribution. If I
> > understand the wiki correctly, the license tag should be 'BSD' for jdbm1,
> > and 'ASL 2.0 and BSD' for jdbm2.
> 
> Sorry, but jdbm1 and jdbm2 have the same license
> 
> Under Apache (v2.0) license
> ----------------------------
> apacheds-jdbm-2.0.0-M3/jdbm1/src/main/java/jdbm/I18n.java
> apacheds-jdbm-2.0.0-M3/jdbm1/src/test/java/jdbm/recman/LocationTest.java
> 

Right. I somehow missed these two files. So 'ASL 2.0 and BSD' should be correct for both.

Comment 23 gil cattaneo 2015-08-23 12:45:03 UTC
Created attachment 1066026 [details]
files.dir f23

fedora-review -b 1243758 --plugins Java -m fedora-23-i386

Comment 25 gil cattaneo 2015-08-24 17:54:10 UTC
There are other things to fix?

Comment 26 Till Hofmann 2015-08-24 18:06:04 UTC
(In reply to gil cattaneo from comment #25)
> There are other things to fix?

No, thank you for fixing all the issues. I suppose we should wait for the FPC ticket. Once the bundling exception has been approved, I will approve the review request.

Comment 27 gil cattaneo 2015-10-07 20:03:33 UTC
Spec URL: https://gil.fedorapeople.org/apacheds-jdbm.spec
SRPM URL: https://gil.fedorapeople.org/apacheds-jdbm-2.0.0-0.4.M3.fc22.src.rpm

- add Provides: bundled(jdbm1)
  see https://fedorahosted.org/fpc/ticket/564 Bundled Library Exception

Comment 28 Till Hofmann 2015-10-08 01:32:58 UTC
APPROVED

Comment 30 gil cattaneo 2015-10-09 01:51:14 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11380265